Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.validators
Class StyleReferenceValidator

    java.lang.Object
      org.eclipse.birt.report.model.validators.AbstractSemanticValidator
          org.eclipse.birt.report.model.validators.AbstractElementValidator
              org.eclipse.birt.report.model.api.validators.StyleReferenceValidator

    public class StyleReferenceValidator

extends org.eclipse.birt.report.model.validators.AbstractElementValidator

Validates the style reference value for `StyledElement`. If the value can refer to an actual style, it will be resolved after validation.

### Rule

The rule is that the style reference value should refer to an actual style in the same report.

### Applicability

This validator is only applied to the `StyledElement.STYLE_PROP` value of `StyledElement`.

Field Summary
`static java.lang.String` | `NAME` Name of this validator.

Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`modules, name`

Constructor Summary
`StyleReferenceValidator()`

Method Summary
`static StyleReferenceValidator` | `getInstance()` Returns the singleton validator instance.
`java.util.List<SemanticException>` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validates the style reference value can refer to an actual style.

Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  Name of this validator.

  See Also:
    Constant Field Values

Constructor Detail

### StyleReferenceValidator

    public StyleReferenceValidator()

Method Detail

### getInstance

    public static StyleReferenceValidator getInstance()

  Returns the singleton validator instance.

  Returns:
    the validator instance

### validate

    public java.util.List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module,
                                                      org.eclipse.birt.report.model.core.DesignElement element)

  Validates the style reference value can refer to an actual style.

  Specified by:
    `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
  Parameters:
    `module` - the module
    `element` - the styled element holding the style reference
  Returns:
    error list, each of which is the instance of `SemanticException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.